{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12 table-responsive">
        <h3>Liste des Etudiants</h3>
        <form action="{{ path('su_classe_add_students', { 'id': classe.id }) }}" method="post">
            <div class="row">
                <div class="col-lg-12">
                    <input type="submit" value="Ajouter etudinats" class="btn btn-primary pull-right" style="margin: 5px">
                </div>
            </div>
            <table class="table table-striped table-rounded-radius"  >
                <thead>
                <tr align="center">
                    <th>
                        <div class="custom-control custom-checkbox">
                            <input id="checkbox" hidden name="Etudinats[]" type="checkbox" data-check-all="">
                            <label for="checkbox"></label>
                        </div>
                    </th>
                    <th>Nom</th>
                    <th>Prénom</th>
                    <th>Email</th>
                </tr>
                </thead>
                <tbody>
                {% if etudinats is empty %}
                    <tr>
                        <td colspan="5">
                            <p>Il y a pas des données</p>
                        </td>
                    </tr>
                {% else %}
                    {% for etudinat in etudinats %}
                        <tr >
                            <td>
                                <div class="checkbox">
                                    <input id="checkbox{{ etudinat.id }}" name="Etudinats[]" value="{{ etudinat.id }}" type="checkbox">
                                    <label for="checkbox{{ etudinat.id }}"></label>
                                </div>
                            </td>
                            <td width="30%" align="center">{{ etudinat.lastName }}</td>
                            <td width="30%" align="center">{{ etudinat.firstName }}</td>
                            <td width="30%" align="center">{{ etudinat.email }}</td>
                        </tr>
                    {% endfor %}
                {% endif %}
                </tbody>
            </table>
        </form>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(etudinats) }}
        </nav>
    </div>
    <ul class="list-unstyled">
        <li>
            <a href="{{ path('su_classe_index') }}">Retourner vers la liste</a>
        </li>
    </ul>
{% endblock %}